Skip to main content
POST
Create a new goal

Authorizations

Authorization
string
header
required

JWT authentication for organization-scoped endpoints.

Path Parameters

orgId
string
required

Organization ID

workspaceId
string
required

Workspace ID

Body

application/json

Request schema for creating an outcome

title
string
required

Title of the outcome

Example:

"Increase User Engagement"

description
string
required

Detailed description of the outcome

Example:

"We aim to increase daily active users by 25% in Q3"

priority
number
required

Priority level of the outcome

Example:

1

id
string<uuid>
Pattern: ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$
trend
number

Trend indicator for the outcome

Example:

0

analyticEvents
string[]

List of analytic events associated with the outcome

Example:
ownerId
string

ID of the owner of the outcome

Example:

"7b9e5d2c-f314-48a9-be56-9843a2f6c019"

opportunityIds
string[]
metricIds
string[]

Response

Success

Response containing a single outcome

data
object
required

Outcome with relationships